Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Module cattree |
[frames] | no frames]

# Module cattree

source code

Classes
| CategoriesTree
| CategoriesTreeController

Functions
edit_category(parent_ctrl, db, cat, fn_handle_db_error) | source code
add_category(parent_ctrl, db, fn_handle_db_error) | source code
delete_category(parent_ctrl, db, cat, fn_handle_db_error) | source code
version_str_to_tuple(version_str) | source code

Variables
| NO_CHECKBOX_TYPE = `0`
| CHECKBOX_TYPE = `1`

Imports: wx, customtreectrl, TimelineIOError, STATE_CHANGE_CATEGORY, WxCategoryEdtiorDialog, category_tree, gui_utils